Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.framework.jca.system
Class STCConnectionManager

    java.lang.Object
      com.stc.connector.framework.jca.system.STCConnectionManager

All Implemented Interfaces:
  javax.resource.spi.ConnectionManager, java.io.Serializable

public class STCConnectionManager
extends java.lang.Object
implements javax.resource.spi.ConnectionManager

Simple implementation of ConnectionManager for non-managed mode.

Version:
  $Revision: 1.6 $
Author:
  $Author: kgambrel $
See Also:
  Serialized Form

Constructor Summary
`STCConnectionManager()` Creates a new instance of STCConnectionManager

Method Summary
`java.lang.Object` | `allocateConnection(javax.resource.spi.ManagedConnectionFactory mcf, javax.resource.spi.ConnectionRequestInfo cri)` Allocate connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STCConnectionManager

    public STCConnectionManager()

  Creates a new instance of STCConnectionManager

Method Detail

### allocateConnection

    public java.lang.Object allocateConnection(javax.resource.spi.ManagedConnectionFactory mcf,
                                               javax.resource.spi.ConnectionRequestInfo cri)
                                        throws javax.resource.ResourceException

  Allocate connection.

  Specified by:
    `allocateConnection` in interface `javax.resource.spi.ConnectionManager`
  Parameters:
    `mcf` - The ManagedConnectionFactory.
    `cri` - The ConnectionRequestInfo.
  Returns:
    The connection handle object.
  Throws:
    `javax.resource.ResourceException` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD